> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cybedefend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Scaleway Credentials

> List all Scaleway Container Registry credentials for a project

## Path Parameters

<ParamField path="projectId" type="string" required>
  The UUID of the project
</ParamField>

## Authorization

Requires `read` permission on the project.

## Response

<ResponseField name="success" type="boolean">
  Whether the request succeeded
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="Credentials List">
    <ResponseField name="credentials" type="array">
      <Expandable title="Credential Item">
        <ResponseField name="id" type="string">
          Credential UUID
        </ResponseField>

        <ResponseField name="region" type="string">
          Scaleway region
        </ResponseField>

        <ResponseField name="namespaceId" type="string">
          Scaleway namespace UUID
        </ResponseField>

        <ResponseField name="namespaceName" type="string">
          Namespace name
        </ResponseField>

        <ResponseField name="registryEndpoint" type="string">
          Registry endpoint URL
        </ResponseField>

        <ResponseField name="description" type="string">
          Credential description
        </ResponseField>

        <ResponseField name="createdAt" type="string">
          ISO 8601 creation timestamp
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "credentials": [
        {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
          "region": "fr-par",
          "namespaceId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
          "namespaceName": "production-registry",
          "registryEndpoint": "rg.fr-par.scw.cloud/production-registry",
          "description": "Production registry",
          "createdAt": "2026-03-17T10:30:00.000Z"
        }
      ]
    }
  }
  ```
</ResponseExample>
